Debian Bug report logs - #387255
debian-cd: breakage when using KERNEL_PARAM

version graph

Package: debian-cd; Maintainer for debian-cd is Debian CD Group <debian-cd@lists.debian.org>; Source for debian-cd is src:debian-cd.

Reported by: Vagrant Cascadian <vagrant+bugs@freegeek.org>

Date: Wed, 13 Sep 2006 08:18:11 UTC

Severity: normal

Tags: patch

Found in version debian-cd/2.2.24

Fixed in version debian-cd/2.2.25

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian CD Group <debian-cd@lists.debian.org>:
Bug#387255; Package debian-cd. Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+bugs@freegeek.org>:
New Bug report received and forwarded. Copy sent to Debian CD Group <debian-cd@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+bugs@freegeek.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-cd: breakage when using KERNEL_PARAM
Date: Wed, 13 Sep 2006 01:11:16 -0700
[Message part 1 (text/plain, inline)]
Package: debian-cd
Version: 2.2.24
Severity: normal
Tags: patch

when building an image and setting the KERNEL_PARAMS variable, the
generated CD sandwiches KERNEL_PARAMS against the default options
without any space. i.e., my bootprompt line ended up like this:

"... console-tools/archs=skip-configvga=normal initrd=/install/2.6/initrd.gz ..."

attached is a patch which should fix it.

live well,
  vagrant

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages debian-cd depends on:
ii  apt                      0.6.45          Advanced front-end for dpkg
ii  apt-utils                0.6.45          APT utility programs
ii  bc                       1.06-19         The GNU bc arbitrary precision cal
ii  cpp                      4:4.1.1-5       The GNU C preprocessor (cpp)
ii  debootstrap              0.3.3           Bootstrap a basic Debian system
ii  grep-dctrl               2.9.0           Grep Debian package information - 
ii  lynx                     2.8.5-2sarge1.1 Text-mode WWW Browser
ii  make                     3.81-2          The GNU version of the "make" util
ii  mkisofs                  4:2.01+01a03-5  Creates ISO-9660 CD-ROM filesystem
ii  perl [libdigest-md5-perl 5.8.8-6.1       Larry Wall's Practical Extraction 
ii  sysutils                 2.0.1           Miscellaneous small system utiliti

Versions of packages debian-cd recommends:
ii  debianutils                   2.17       Miscellaneous utilities specific t
pn  hfsutils                      <none>     (no description available)
pn  jigdo-file                    <none>     (no description available)

-- no debconf information
[debian-cd.kernel_params.diff (text/plain, attachment)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant+bugs@freegeek.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 387255-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 387255-close@bugs.debian.org
Subject: Bug#387255: fixed in debian-cd 2.2.25
Date: Sun, 08 Oct 2006 06:47:29 -0700
Source: debian-cd
Source-Version: 2.2.25

We believe that the bug you reported is fixed in the latest version of
debian-cd, which is due to be installed in the Debian FTP archive:

debian-cd_2.2.25.dsc
  to pool/main/d/debian-cd/debian-cd_2.2.25.dsc
debian-cd_2.2.25.tar.gz
  to pool/main/d/debian-cd/debian-cd_2.2.25.tar.gz
debian-cd_2.2.25_all.deb
  to pool/main/d/debian-cd/debian-cd_2.2.25_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated debian-cd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 14:46:48 +0200
Source: debian-cd
Binary: debian-cd
Architecture: source all
Version: 2.2.25
Distribution: unstable
Urgency: low
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 debian-cd  - Tools for building (Official) Debian CD set
Closes: 312604 320205 327470 373225 378977 384064 387255
Changes: 
 debian-cd (2.2.25) unstable; urgency=low
 .
   [ Joey Hess ]
   * Remove net-drivers access floppy from full CD images.
 .
   [ Frans Pop ]
   * Consistently change location for installation guide to /doc/manual
     on the CD.
   * Update author (and timestamp) in README.
   * Colin Watson has taken over daily d-i builds for PowerPC.
 .
   [ Steve McIntyre ]
   * Fix to tools/grab_md5: when building the md5-list, DO NOT use the
     "current" symlink in the d-i directories - that causes jigdo problems
     later on. Use the real dirs (as dated) instead.
 .
   [ Frans Pop ]
   * Remove exclusion of openbsd-inetd for Etch as it is now the prefered
     dependency from netbase. For some reason debootstrap requires both inetd
     packages, so don't exclude netkit-inetd.
     Makes full/netinst images have base_installable again.
   * Thiemo Seufer has resumed building images for mips.
 .
   [ Colin Watson ]
   * Only tell mkisofs to use the prep initrd if it's available (which it
     currently isn't for 2.6.16).
 .
   [ Steve McIntyre ]
   * Fix to tools/grab_md5: reset the file and dir name after each source
     package is finished with.
   * Add extra debug in tools/boot/etch/boot-i386
 .
   [ Joey Hess ]
   * ths has taken over mipsel builds
   * Add sudo to generate_di+k_list, it's needed for installs w/o a root user.
   * Add support to boot/etch/boot-i386 for adding gtk images. If the
     isolinux files include .with26+gtk, include gtk initrd along with the
     2.4 kernel. If .withgtk, include gtk initrd along with the default
     (presumably 2.6) kernel.
   * i386 has stopped building because the el-torito boot images were turned
     off (due to size issues). Fix this by not failing if the el-torito images
     arn't there.
   * d-i doesn't include bast images anymore, drop from boot-arm.
   * Update task.list adding more language tasks.
   * Update task-essential-etch build recipe to exclude the kde-desktop
     task since it won't fit on the CD.
   * Move kde-desktop to end of task.list for same reason.
   * Update task-full-etch to current tasksel.
 .
   [ Steve McIntyre ]
   * Add better GNU/kFreeBSD support in setting ARCH in CONF.sh.
     Closes: #327470
 .
   [ Joey Hess ]
   * Applied patch from smarenka to add 2.6 kernels for m68k, also 2.4 kernels
     for appropriate m68k subarches, and also emile, amiboot, atari-bootstrap,
     and initramfs-tools for m68k.
 .
   [ Steve McIntyre ]
   * Add extra arm kernels and more utilities into the task lists.
     Closes: #373225
 .
   [ Joey Hess ]
   * Correct url to the amd64 dailys.
   * Add gtk initrd to amd64 images if available.
   * Add autorun file to amd64 images if there's a README.html, same as for
     i386.
   * Add pcmciautils-udeb to udeb_include lists; something needs to pull it
     in and like pcmcia-cs-udeb its priority won't.
 .
   [ Frans Pop ]
   * Wouter Verhelst has taken over daily d-i builds for powerpc.
   * AMD64 d-i images are now available from people.d.o.
   * Add cryptsetup to first CD; needed for installations using encrypted
     partitions.
 .
   [ Joey Hess ]
   * Add 686 kernels, since the netinst CD is much larger and can now easily
     fit them and this makes the CD much more attractive for many users.
 .
   [ Frans Pop ]
   * Drop 2.4 support for sparc64; switch from 2.4 to 2.6 for sparc32.
   * Exclude 2.4 kernel udebs for sparc and s/390 (s/390 has switched to 2.6).
   * Include only 2.6 kernel images for sparc.
   * Update to libdevmapper1.02.
   * No need to include yaird for m68k.
   * Drop initrd-tools for ia64, powerpc and sparc.
   * Include initramfs-tools instead of yaird for ia64 and sparc.
   * No initramfs generator needed for mips, mipsel and m68k.
 .
   [ Steve McIntyre ]
   * Switch from 2.4 to 2.6 kernels for arm, mips and mipsel.
   * Switch from yaird over to initramfs-tools for arm.
   * Much simplified generate_di+k_list - mips and mipsel don't need script
     fragments any more.
   * Added elilo for i386.
 .
   [ Joey Hess ]
   * Update task-essential-etch.
   * Update task.list to include all the new language tasks.
   * Update task-full-etch.
 .
   [ Steve McIntyre ]
   * Mips has dropped r5k-ip22 kernels and gained r5k-ip32. And r5k-ip32
     doesn't have CD boot support yet, so don't attempt to use the cdrom
     boot image.
 .
   [ Frans Pop ]
   * There are no "tape" images with 2.6.16 for S/390.
   * Exclude floppy and el-torito images for i386 as they are not being built.
   * Update exclude-udebs lists.
   * Exclude 2.4.27 kernel packages from CD1 for sparc and s/390.
   * Exclude 2.6.15 kernel header and image packages from CD1.
   * Exclude 2.6.16 xen and vserver kernel  packages from CD1.
   * Update generate_di+k_list to include libsysfs2.
   * Update popularity contest data for etch.
   * Update generate_di+k_list to include libdiscover1.
 .
   [ Petter Reinholdtsen ]
   * Add more features to get_diskusage.pl, making it easier to track
     dependencies and rejected packages.
   * Correct splash screen generation for sarge and etch, making sure the
     correct background colour (black) is selected.
 .
   [ Steve McIntyre ]
   * Try to fix the "unofficial development version" bug on official CDs.
 .
   [ Joey Hess ]
   * Include libc6-i686 in generate_di+k_list, base-installer will
     soon begin installing this onto machines that can use it.
     (To regain some space, libc6-amd64 will soon stop being standard priority,
     and drop off.)
   * On sparc, include libc6-sparcv9 and libc6-sparcv9b, which base-installer
     will also pull in.
 .
   [ Colin Watson ]
   * Cope with cdrom64 -> cdrom renaming for powerpc64 subarchitecture.
 .
   [ Sven Luther ]
   * [powerpc] Added a rescue option to yaboot.conf as well as the pegasos boot
     script.
 .
   [ Colin Watson ]
   * Remove obsolete devfs=mount,dall and init=/linuxrc options from
     yaboot.conf and pegasos boot script.
   * Remove init=/linuxrc from hppa.
 .
   [ Otavio Salvador ]
   * Applied patches that are being in use at O.S. Systems and that are
     useful to others:
     - allow to use different name for final iso image;
     - allow to set the script to be used in debootstrap to check if all
       base need package are present.
 .
   [ Frans Pop ]
   * Introduce new environment variable NOSOURCE that allows to build CD images
     using a local mirror that does not contain source files. This new variable
     obsoletes setting IMAGETARGET, though that is still supported for
     backwards compatibility. Closes: #320205.
 .
   [ Steve McIntyre ]
   * Update the suggested DVD size in CONF.sh to a saner number
   * Re-sync CONF.sh over debian/CONF.sh
   * Minor changes to README.html.in and generation of README.html:
     cope with unofficial, official beta and official release CDs
     better. Let's not repeat the sarge mistake. Closes: #312604
   * Trivial updates to update-cd
 .
   [ Frans Pop ]
   * Update base-etch and popularity-contest-etch in tasks.
   * Update task-full-etch and task-essential-etch in tasks.
 .
   [ Steve McIntyre ]
   * Update Dependencies to allow installation/use on GNU/kFreeBSD. Thanks
     to Petr Salinger for the patch. Closes: #378977
   * Fix KERNEL_PARAM breakage. Thanks to Vagrant Cascadian for the patch,
     closes: #387255
   * Removed reference to obsolete "mirrorcheck" target in the README
     file. Closes: #384064.
   * s/sarge/etch/ and s/3.1/3.2/ in CONF.sh
   * Last upload ready for the etch release (hopefully)
Files: 
 cdf2def7ed158b96991b2b0587eb98f4 677 admin extra debian-cd_2.2.25.dsc
 c538081725c279185e00ad19c36dd3ab 682709 admin extra debian-cd_2.2.25.tar.gz
 130bad8b99f2b419cb36276ebb4a9ade 689314 admin extra debian-cd_2.2.25_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFKPwNfDt5cIjHwfcRApFZAKCyifkdUafrjEgoJVVEx8m+2CmzkQCePtU8
Fy2Ue3XOUT6B1bU2j2cwgNI=
=rHEM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:56:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:50:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.